Bug 98730 - named doesnt restart
named doesnt restart
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: bind (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-07 22:29 EDT by nick hemsley
Modified: 2007-04-18 12:55 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-08 07:17:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description nick hemsley 2003-07-07 22:29:39 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.4b)
Gecko/20030516 Mozilla Firebird/0.6

Description of problem:
running '/etc/init.d/named restart' doesnt restart the named server.

the script runs rndc stop to stop the service which fails.

/var/log/messages contains the following relevant information:

<log>
Jul  8 10:10:26 football named[3923]: starting BIND 9.2.1 -u named
Jul  8 10:10:26 football named[3923]: using 1 CPU
Jul  8 10:10:26 football named: named startup succeeded
Jul  8 10:10:26 football named[3923]: loading configuration from '/etc/named.conf'
Jul  8 10:10:26 football named[3923]: no IPv6 interfaces found
Jul  8 10:10:26 football named[3923]: listening on IPv4 interface lo, 127.0.0.1#53
Jul  8 10:10:26 football named[3923]: listening on IPv4 interface eth0,
10.0.0.110#53
Jul  8 10:10:26 football named[3923]: command channel listening on 127.0.0.1#953
Jul  8 10:10:26 football named[3923]: zone 0.0.127.in-addr.arpa/IN: loading
master file 0.0.127.in-addr.arpa.zone: file not found
Jul  8 10:10:26 football named[3923]: dns_master_load: /var/named/db.d:11:
ignoring out-of-zone data (hockey.perth.itomic.com)
Jul  8 10:10:26 football named[3923]: zone d/IN: loaded serial 66
Jul  8 10:10:26 football named[3923]: dns_master_load: /var/named/db.df:11:
ignoring out-of-zone data (football.perth.itomic.com)
Jul  8 10:10:26 football named[3923]: zone df/IN: loaded serial 3
Jul  8 10:10:26 football named[3923]: dns_master_load: /var/named/named.con:11:
ignoring out-of-zone data (football.perth.itomic.com)
Jul  8 10:10:26 football named[3923]: zone ftools/IN: loaded serial 2
Jul  8 10:10:26 football named[3923]: dns_master_load: /var/named/db.itools:11:
ignoring out-of-zone data (football.perth.itomic.com)
Jul  8 10:10:26 football named[3923]: zone itools/IN: loaded serial 32
Jul  8 10:10:26 football named[3923]: zone localhost/IN: loading master file
localhost.zone: file not found
Jul  8 10:10:26 football named[3923]: running
Jul  8 10:10:26 football named[3923]: zone d/IN: sending notifies (serial 66)
Jul  8 10:10:26 football named[3923]: zone ftools/IN: sending notifies (serial 2)
Jul  8 10:10:26 football named[3923]: zone itools/IN: sending notifies (serial 32)
Jul  8 10:10:26 football named[3923]: zone df/IN: sending notifies (serial 3)
Jul  8 10:10:33 football named[3923]: app.c:561: unexpected error:
Jul  8 10:10:33 football named[3923]: isc_app_shutdown() pthread_kill: No such
process

</log>
ONLY the last two lines seem relevant, but I am including all the syslog for the
startup & close of the bind session.

Version-Release number of selected component (if applicable):
bind-9.2.1-16

How reproducible:
Always

Steps to Reproduce:
1. /etc/init.d/named restart
2.
3.
    

Actual Results:  Stopping named:
named: already running

Expected Results:  Stopping named:               [OK]
Starting named:               [OK]

Additional info:

thought it might have had something to do with the redhat 9 glibc bug:
https://rhn.redhat.com/errata/RHBA-2003-136.html, but updated that to no avail.
Comment 1 Daniel Walsh 2003-07-08 07:17:28 EDT
This is fixed by the latest kernel errata please update your system.

Dan

Note You need to log in before you can comment on or make changes to this bug.